<?php
/**********************************************************************/
# Title: MW- ver. 4.1
# Copyright By  Moy-weB  (http://moyweb.moy.su)
# Изготовлениш шаблонов (скинов), разработка дизайна, написание скриптов
# Версия для Lineage-II
# Corsar, I-Andi (2009)
/**********************************************************************/
require_once("header.php");
if (!isset($_POST['action']))
{
?>
<br>
<h3>Общие настройки сайта</h3><hr>
<form action="admin_settings.php" method="post">
<input type="hidden" name="action" value="do">
<table>
<tr><td>Используемый шаблон:</td><td>
<select name="tmpl" style="width:100px;">
<?php
$skins=glob("../skins/*");
foreach($skins as $templ)
{
$template=str_replace('../skins/', '', $templ);
echo '<option ';
if($template == $curr_tmpl) echo 'selected';
echo'>';
echo $template;
echo '</option>';
}
?>
</select></td>
</tr>
<tr>
	<td>ID начальной страницы:</td>
	<td><input name="id" type="text" value="<? echo $index; ?>" style="width:100px;"></td>
</tr>
<tr>
	<td>Шаблон оформления ссылок в меню:</td>
	<td><input name="menu" type="text" value='<? echo $menu_tmpl; ?>' size="80"></td>
</tr>
<tr>
	<td>Имя Администратора:</td>
	<td>
	<input name="aut_name" type="text" value='<? echo $aut_name; ?>' size="80"></td>
</tr>
<tr>
	<td>Копирайт &copy;</td>
	<td>
	<input name="copy" type="text" value='<? echo $copy; ?>' size="80"></td>
</tr>
<tr>
	<td>Логин администратора:</td>
	<td><input name="admin_login" type="text" value='<? echo $login; ?>' size="80"></td>
</tr>
<tr>
	<td>Пароль администратора:</td>
	<td><input name="admin_pass" type="text" value='<? echo $pass; ?>' size="80"></td>
</tr>
<tr>
	<td>E-mail администратора:</td>
	<td><input name="admin_email" type="text" value='<? echo $admin_email; ?>' size="80"></td>
</tr>
 
<tr>
  <td>Язык для сайта по умолчанию:</td>
  <td><select name="admin_langue" style="width:100px;" >
		<option value=ru> ru </option>
		<option value=eng> eng </option>
		</select> <? echo $admin_langue; ?>
  </td>
</tr>
<tr>
  <td>Состояние сайта:<BR></td>
  <td><select name="sytestatus" style="width:100px;">
		<option value=open> open </option>
		<option value=close> close </option>
		</select> <? echo $sytestatus; ?>
  <BR><BR></td>
</tr>
<tr>
	<td>Сообщение при выключенном сайте</td>
	<td><textarea name="msgsyte" type="text" style="width:505px; height:150px; font-family:verdana; font-size:12px; border:1px solid #c0c0c0 "><? echo $msgsyte; ?></textarea></td>
</tr>
<tr>
</table>
<input type="submit" value="Cохранить изменения">
</form>
<?php
}
else
{
	if (!isset($_POST['tmpl']) || 
		!isset($_POST['id']) || 
		!isset($_POST['menu']) || 
		!isset($_POST['aut_name']) || 
		!isset($_POST['copy']) || 
		!isset($_POST['admin_pass']) || 
		!isset($_POST['admin_login']) || 
		!isset($_POST['sytestatus']) || 
		!isset($_POST['msgsyte']) || 
		!isset($_POST['admin_langue']) || 
		!isset($_POST['admin_email']) )
	{
		die ("Некоторые из настроек пропущены. <a href='index.php?tp=settings'>Ввести ещё раз</a>");
	}
	if (!file_exists("../skins/" . $_POST['tmpl'] . "/index.php")) die ("Файл index.php указанного шаблона не найден. <a href='index.php?tp=settings'>Ввести ещё раз</a>");
	if (!file_exists("../data/content/" . $_POST['id'] . ".php")) die ("Страница, указанная как главная, не найдена. <a href='index.php?tp=settings'>Ввести ещё раз</a>");
	$mtpl = $_POST['menu'];
	$set = "<?php
\$curr_tmpl='" . $_POST['tmpl'] . "';
\$index=" . $_POST['id'] . "; 
\$menu_tmpl = \"" . $mtpl . "\"; 
\$aut_name = \"".$_POST["aut_name"]."\";
\$copy = \"".$_POST["copy"]."\";
\$login = \"".$_POST["admin_login"]."\";
\$pass = \"".$_POST["admin_pass"]."\";
\$admin_email = \"".$_POST["admin_email"]."\"; 
\$sytestatus = \"".$_POST["sytestatus"]."\"; 
\$admin_langue = \"".$_POST["admin_langue"]."\"; 
\$msgsyte = \"".$_POST["msgsyte"]."\"; 
?>";
	if (!function_exists('file_put_contents'))
	{
		function file_put_contents ($filename, $content)
		{
			if ($fp = @fopen($filename, 'w'))
			{
				$result = fwrite($fp, $content);
				fclose ($fp);
				return $result;
			}
			else
			{
				return false;
			}
		}
	}
	if (!file_put_contents("../config/settings.php", $set)) 
	{
		echo("Запись в файл не удалась. <a href='index.php'>На главную</a>");

	}
	else 
	{
		echo("Настройки записаны успешно. <a href='index.php'>На главную</a>");
				echo("<html>
				<head>
					<meta http-equiv='Refresh' content='2; URL = sel.php'>
				</head>");
	}
}
/////////////////////////////////////////////////////////////////////////////////////////
require_once("footer.php");
?>
